.home__chart-infor {
  .home-chart-infor__slide-swiper {
    margin-bottom: 50px;

    .swiper-horizontal {
      > .swiper-button-prev {
        background: url("../../public/assets/images/Polygon\ 5.svg") no-repeat;
      }

      > .swiper-button-next {
        background: url("../../public/assets/images/Polygon\ 4.svg") no-repeat;
      }
    }
  }
}

.home__chart {
  background-color: #fff;
  border-radius: 15px;
  margin-bottom: 60px;
  /* padding: 0 20px 15px; */
  overflow: hidden;

  .home-chart__logo {
    display: flex;
    align-items: center;
    width: 100%;
    // border-bottom: 1px solid #b0b0b0;
    padding: 18px 47px 15px 47px;
    // padding-bottom: 15px;
    background: #3b3b3b;

    .home-chart__img {
      margin-right: 12px;

      img {
        width: 59px;
        height: 59px;
        border-radius: 50%;
        object-fit: cover;
      }
    }

    .home-chart__title {
      padding-bottom: 9px;

      h4 {
        font-weight: 600;
        font-size: 1.6rem;
        line-height: 29px;
        color: #0798d4;
        margin-bottom: 2px;
      }

      p {
        font-weight: 400;
        font-size: 1.1rem;
        color: #7e7e7e;
        max-height: 3rem;
        line-height: 1.2rem;
        overflow: hidden;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 1;
      }
    }
  }

  .home-chart__row {
    padding: 0 20px 15px;
    margin-top: 25px;

    .recharts-wrapper {
      margin-left: auto;
      margin-right: auto;
    }

    .home-chart__line {
      margin-top: 35px;

      .home-chart__line-percent {
        color: #46b446;
        font-weight: 600;
        font-size: 1.1rem;
        text-align: end;
      }

      .home-chart__line-text {
        display: flex;
        align-items: center;
        justify-content: space-between;
        transform: translateY(-30px);

        .home-chart__line-left {
          display: flex;
          align-items: center;

          .home-chart__line-left-icon {
            margin-right: 7px;
          }
        }

        h6 {
          margin-bottom: 0;
        }
      }
    }

    .home-chart__right {
      .home-chart__right-info {
        margin-bottom: 12px;

        .home-chart__right-text {
          font-weight: 600;
          font-size: 0.9rem;
          line-height: 14px;
          text-align: end;
          color: #3b3b3b;
          padding-top: 9px;
          padding-bottom: 7px;
        }

        .home-chart__right-value {
          font-weight: 400;
          font-size: 0.9rem;
          line-height: 14px;
          color: #3b3b3b;
          padding-top: 9px;
          padding-bottom: 7px;
        }

        .home-chart__right-retangle {
          display: flex;
          width: 100%;

          .home-chart__right-retangle-1 {
            background-color: #0798d4;
            height: 28px;
          }

          .home-chart__right-retangle-2 {
            background-color: #f56e22;
            height: 28px;
          }
        }

        .home-chart__right-more {
          background-color: #959595;
          color: #fff;
          position: absolute;
          width: 96%;
          padding: 6px 15px;
          z-index: 2;
          display: none;
        }
      }

      .home-chart__right-info:hover {
        background-color: #ededed;

        .home-chart__right-more {
          display: block;
        }
      }
    }

    .home-chart__right-reliability {
      margin-bottom: 27px;
      text-align: right;

      .home-chart__right-reliability-img {
        margin-bottom: 6px;

        img {
          margin-top: 8px;
          object-fit: cover;
        }
      }

      .home-chart__right-reliability-text {
        font-weight: 400;
        font-size: 0.8rem;
        line-height: 12px;
        color: #3b3b3b;
      }
    }

    .home-chart__right-mobile {
      display: none;
    }

    .home-chart__right-pc {
      display: block;
    }

    .home-chart__right-time {
      .home-chart__right-time-weeks {
        font-weight: 700;
        font-size: 1.8rem;
        line-height: 34px;
        color: #5baa5f;
      }

      .home-chart__right-time-text {
        font-weight: 400;
        font-size: 0.8rem;
        line-height: 12px;
        color: #3b3b3b;
      }
    }
  }
}

.home-infor-grid__block {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(max(190px, 33% - 20px), 1fr));
  grid-gap: 24px;

  .home-infor-grid__block-item {
    background-color: #fff;
    border-radius: 30px;

    .content {
      article {
        text-align: center;
        padding: 0 25px;

        img {
          margin: 50px 0 30px;
          object-fit: cover;
        }

        h4 {
          font-weight: 700;
          font-size: 2.1rem;
          line-height: 40px;
          color: #3b3b3b;
          margin-bottom: 19px;
        }

        p {
          font-weight: 400;
          font-size: 1rem;
          line-height: 24px;
          color: #7e7e7e;
        }

        .home-infor-grid__block-item-link {
          display: flex;
          align-items: center;
          color: #0798d4;
          justify-content: center;
          margin: 30px 0 46px;

          p {
            margin-right: 5px;
            font-size: 1.5rem;
            font-weight: 500;
            line-height: 25px;
            color: #0798d4;
          }

          .home-infor-grid__block-item-icon {
            margin-top: 4px;
          }
        }
      }
    }
  }
}

@media (max-width: 1690px) {
}

@media (max-width: 1200px) {
  .home__chart {
    .home-chart__logo {
      padding: 15px 45px 15px 45px;

      .home-chart__title {
        h4 {
          font-size: 1.5rem;
          line-height: 26px;
        }

        p {
          font-size: 1rem;
        }
      }
    }

    .home-chart__row {
      .home-chart__line {
        .home-chart__line-percent {
          font-size: 1rem;
        }

        .home-chart__line-text {
          .home-chart__line-left {
            .home-chart__line-left-icon {
              margin-right: 5px;
              width: 12px;
            }

            p {
              font-size: 0.9rem;
            }
          }

          h6 {
            font-size: 0.9rem;
          }
        }
      }

      .home-chart__right-reliability {
        margin-bottom: 20px;

        .home-chart__right-reliability-text {
          font-size: 0.6rem;
        }
      }

      .home-chart__right-time {
        .home-chart__right-time-weeks {
          font-size: 1.5rem;
        }

        .home-chart__right-time-text {
          font-size: 0.6rem;
        }
      }

      .home-chart__right-info {
        margin-bottom: 10px;
      }
    }
  }

  .home-infor-grid__block {
    .home-infor-grid__block-item {
      .content {
        article {
          img {
            max-width: 80px;
            height: 80px;
          }

          h4 {
            font-size: 1.9rem;
            margin-bottom: 15px;
          }

          p {
            font-size: 0.8rem;
          }

          .home-infor-grid__block-item-link {
            margin: 25px 0 40px;

            p {
              font-size: 1.3rem;
            }
          }
        }
      }
    }
  }
}

@media (max-width: 991.98px) {
  .home__chart-infor {
    .home-chart-infor__slide-swiper {
      margin-bottom: 40px;

      .swiper-horizontal {
        > .swiper-button-prev {
          background-size: 18px;
        }

        > .swiper-button-next {
          background-size: 18px;
          transform: translateX(10px);
        }
      }
    }
  }

  .home__chart {
    .home-chart__logo {
      padding: 10px 40px 10px 40px;

      .home-chart__img {
        img {
          width: 50px;
          height: 50px;
        }
      }

      .home-chart__title {
        h4 {
          font-size: 1.4rem;
          line-height: 24px;
        }

        p {
          font-size: 0.9rem;
          line-height: 1rem;
        }
      }
    }

    .home-chart__row {
      margin-top: 20px;
      padding: 0 20px;

      .home-chart__line {
        .home-chart__line-percent {
          font-size: 0.9rem;
        }

        .home-chart__line-text {
          .home-chart__line-left {
            p {
              font-size: 0.7rem;
            }
          }

          h6 {
            font-size: 0.7rem;
          }
        }
      }

      .home-chart__right {
        .home-chart__right-info {
          margin-bottom: 0;

          .home-chart__right-text {
            font-size: 0.6rem;
          }

          .home-chart__right-value {
            font-size: 0.6rem;
          }
        }
      }

      .home-chart__right-reliability {
        margin-bottom: 15px;

        .home-chart__right-reliability-img {
          img {
            width: 25px;
          }
        }

        .home-chart__right-reliability-text {
          font-size: 0.45rem;
        }
      }

      .home-chart__right-time {
        .home-chart__right-time-weeks {
          font-size: 1.2rem;
          line-height: 31px;
        }

        .home-chart__right-time-text {
          font-size: 0.45rem;
          line-height: 10px;
        }
      }
    }
  }

  .home-infor-grid__block {
    .home-infor-grid__block-item {
      .content {
        article {
          padding: 0 18px;

          img {
            max-width: 65px;
            height: 60px;
            margin: 40px 0 25px;
          }

          h4 {
            font-size: 1.6rem;
            margin-bottom: 10px;
          }

          p {
            font-size: 0.6rem;
          }

          .home-infor-grid__block-item-link {
            margin: 20px 0 30px;

            p {
              font-size: 1rem;
            }
          }
        }
      }
    }
  }
}

@media (max-width: 767.98px) {
  .home__chart-infor {
    .home-chart-infor__slide-swiper {
      .swiper-horizontal {
        > .swiper-button-prev {
          background: none;
        }

        > .swiper-button-next {
          background: none;
        }
      }
    }
  }

  .home__chart {
    .home-chart__logo {
      padding: 10px 30px;

      .home-chart__img {
        margin-right: 10px;

        img {
          width: 45px;
          height: 45px;
        }
      }

      .home-chart__title {
        padding-bottom: 3px;

        h4 {
          font-size: 1.2rem;
          line-height: 20px;
        }

        p {
          font-size: 0.75rem;
        }
      }
    }

    .home-chart__row {
      margin: 5px 0 20px;

      .home-chart__line {
        .home-chart__line-percent {
          font-size: 1rem;
        }

        .home-chart__line-text {
          .home-chart__line-left {
            img {
              width: 15px;
            }

            p {
              font-size: 0.9rem;
            }
          }

          h6 {
            font-size: 0.9rem;
          }
        }
      }

      .home-chart__right {
        margin-top: 20px;

        .home-chart__right-info {
          margin-bottom: 10px;

          .home-chart__right-text {
            font-size: 0.9rem;
          }

          .home-chart__right-value {
            font-size: 0.9rem;
          }
        }
      }

      .home-chart__right-reliability {
        margin-bottom: 10px;

        .home-chart__right-reliability-img {
          margin-bottom: 10px;

          img {
            width: 35px;
          }
        }

        .home-chart__right-reliability-text {
          font-size: 0.7rem;
        }
      }

      .home-chart__right-time {
        .home-chart__right-time-weeks {
          font-size: 1.5rem;
          line-height: 37px;
        }

        .home-chart__right-time-text {
          font-size: 0.7rem;
          line-height: 12px;
        }
      }

      .home-chart__right-mobile {
        display: block;
        margin-bottom: 20px;
      }

      .home-chart__right-pc {
        display: none;
      }
    }
  }

  .home-infor-grid__block {
    grid-template-columns: repeat(
      auto-fill,
      minmax(max(450px, 33% - 20px), 1fr)
    );

    .home-infor-grid__block-item {
      .content {
        article {
          padding: 0 25px;

          img {
            max-width: 70px;
            height: 65px;
          }

          h4 {
            font-size: 1.6rem;
            margin-bottom: 10px;
          }

          p {
            font-size: 0.9rem;
            line-height: 22px;
          }

          .home-infor-grid__block-item-link {
            margin: 25px 0;

            p {
              font-size: 1.1rem;
              margin-right: 5px;
            }

            .home-infor-grid__block-item-icon {
              font-size: 1rem;
              margin-top: 3px;
            }
          }
        }
      }
    }
  }
}

@media (max-width: 578px) {
  .home__chart {
    .home-chart__logo {
      padding: 10px 30px;

      .home-chart__img {
        margin-right: 10px;

        img {
          width: 45px;
          height: 45px;
        }
      }

      .home-chart__title {
        padding-bottom: 3px;

        h4 {
          font-size: 1.2rem;
          line-height: 20px;
        }

        p {
          font-size: 0.75rem;
        }
      }
    }

    .home-chart__row {
      margin: 0 0 20px;

      .home-chart__right {
        margin-top: 0;

        .home-chart__right-info {
          margin-bottom: 5px;

          .home-chart__right-text {
            font-size: 0.8rem;
          }

          .home-chart__right-value {
            font-size: 0.8rem;
          }
        }
      }

      .home-chart__right-mobile {
        margin-bottom: 0px;
      }
    }
  }

  .home-infor-grid__block {
    .home-infor-grid__block-item {
      border-radius: 20px;

      .content {
        article {
          padding: 0 10px;

          img {
            max-width: 45px;
            height: 40px;
            margin: 25px 0 12px;
          }

          h4 {
            font-size: 1.1rem;
            margin-bottom: 5px;
          }

          .home-infor-grid__block-item-link {
            margin: 12px 0 20px;

            p {
              font-size: 0.7rem;
            }

            .home-infor-grid__block-item-icon {
              font-size: 0.8rem;
            }
          }
        }
      }
    }
  }
}

@media (max-width: 500px) {
  .home-infor-grid__block {
    grid-template-columns: repeat(
      auto-fill,
      minmax(max(230px, 33% - 20px), 1fr)
    );
    grid-gap: 24px;

    .home-infor-grid__block-item {
      .content {
        article {
          padding: 0 20px;

          img {
            max-width: 60px;
            height: 55px;
            margin: 30px 0 15px;
          }

          h4 {
            font-size: 1.5rem;
            margin-bottom: 10px;
          }

          p {
            font-size: 0.8rem;
            line-height: 24px;
          }

          .home-infor-grid__block-item-link {
            margin: 15px 0 25px;

            p {
              font-size: 1rem;
              margin-right: 5px;
            }
          }
        }
      }
    }
  }
}

@media (max-width: 430px) {
  .home__chart {
    .home-chart__logo {
      padding: 10px 20px;

      .home-chart__img {
        margin-right: 5px;

        img {
          width: 40px;
          height: 40px;
        }
      }

      .home-chart__title {
        padding-bottom: 0;

        h4 {
          font-size: 1rem;
          line-height: 18px;
        }

        p {
          font-size: 0.6rem;
          line-height: 14px;
        }
      }
    }

    .home-chart__row {
      margin: 0 0 15px;

      .home-chart__line {
        margin-top: 20px;

        .home-chart__line-percent {
          font-size: 0.9rem;
        }

        .home-chart__line-text {
          .home-chart__line-left {
            img {
              width: 10px;
            }

            p {
              font-size: 0.8rem;
            }
          }

          h6 {
            font-size: 0.8rem;
          }
        }
      }

      .home-chart__right {
        .home-chart__right-info {
          margin-bottom: 0;

          .home-chart__right-text {
            font-size: 0.6rem;
          }

          .home-chart__right-value {
            font-size: 0.6rem;
          }
        }
      }

      .home-chart__right-reliability {
        .home-chart__right-reliability-img {
          margin-bottom: 5px;

          img {
            width: 30px;
          }
        }

        .home-chart__right-reliability-text {
          font-size: 0.6rem;
        }
      }

      .home-chart__right-time {
        .home-chart__right-time-weeks {
          font-size: 1.2rem;
          line-height: 35px;
        }

        .home-chart__right-time-text {
          font-size: 0.6rem;
          line-height: 5px;
        }
      }

      .home-chart__right-mobile {
        margin-bottom: 20px;
      }
    }
  }
}
